from .download import download_zip
from pathlib import Path
down_path = Path(__file__).parent
xz_url = "addons_file"+"/"+down_path.name+"/"
download_zip(xz_url + "resources.zip",down_path)


bl_info = {
    "name" : "Flowify",
    "author" : "Mark Kingsnorth",
    "description" : "Bend objects to any quad surface with four corners",
    "blender" : (3, 6, 0),
    "version" : (1, 2, 2),
    "location" : "",
    "warning" : "",
    "category" : "Mesh",
    "wiki_url": "https://flowify-docs.readthedocs.io/en/latest/",
    "doc_url": "https://flowify-docs.readthedocs.io/en/latest/"
}

import bpy
from . import operators, property, draw, preferences
from bpy.app.handlers import persistent, depsgraph_update_post

@persistent
def depsgraph(none):
    # Register the draw in this fashion when we have access to the context.
    draw.register(bpy.context)

def register():
    preferences.register()
    property.register()
    operators.register()

    depsgraph_update_post.append(depsgraph)

def unregister():
    depsgraph_update_post.remove(depsgraph)
    draw.unregister()
    operators.unregister()
    property.unregister()
    preferences.unregister()
    

